## org.jfree.report.modules.gui.swing.common
Class FormValidator

    java.lang.Object
      org.jfree.report.modules.gui.swing.common.FormValidator

    public abstract class FormValidator

extends java.lang.Object

Constructor Summary
`protected` `FormValidator()`

Method Summary
`abstract javax.swing.Action` `getConfirmAction()`
`protected void` `handleValidate()`
`boolean` `isEnabled()`
`abstract boolean` `performValidate()`
`void` `registerButton(javax.swing.AbstractButton bt)`
`void` `registerComboBox(javax.swing.JComboBox bt)`
`void` `registerTextField(javax.swing.text.JTextComponent textField)`
`void` `setEnabled(boolean enabled)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FormValidator

    protected FormValidator()

Method Detail

### registerTextField

    public void registerTextField(javax.swing.text.JTextComponent textField)

### registerButton

    public void registerButton(javax.swing.AbstractButton bt)

### registerComboBox

    public void registerComboBox(javax.swing.JComboBox bt)

### getConfirmAction

    public abstract javax.swing.Action getConfirmAction()

### handleValidate

    protected final void handleValidate()

### isEnabled

    public boolean isEnabled()

### setEnabled

    public void setEnabled(boolean enabled)

### performValidate

    public abstract boolean performValidate()